Package: org.codehaus.groovy.classgen.asm

## [Java] Class DelegatingController

- org.codehaus.groovy.classgen.asm.DelegatingController

- This class will delegate all calls to a WriterController given in the constructor.

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class WriterController` | `optimizeForInt`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `DelegatingController (WriterController normalController)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `AsmClassGenerator` | `getAcg()`
    `` | `AssertionWriter` | `getAssertionWriter()`
    `` | `BinaryExpressionHelper` | `getBinaryExpressionHelper()`
    `` | `int` | `getBytecodeVersion()`
    `` | `CallSiteWriter` | `getCallSiteWriter()`
    `` | `String` | `getClassName()`
    `` | `ClassNode` | `getClassNode()`
    `` | `org.objectweb.asm.ClassVisitor` | `getClassVisitor()`
    `` | `ClosureWriter` | `getClosureWriter()`
    `` | `CompileStack` | `getCompileStack()`
    `` | `ConstructorNode` | `getConstructorNode()`
    `` | `GeneratorContext` | `getContext()`
    `` | `org.objectweb.asm.ClassVisitor` | `getCv()`
    `` | `InterfaceHelperClassNode` | `getInterfaceClassLoadingClass()`
    `` | `String` | `getInternalBaseClassName()`
    `` | `String` | `getInternalClassName()`
    `` | `InvocationWriter` | `getInvocationWriter()`
    `` | `LambdaWriter` | `getLambdaWriter()`
    `` | `int` | `getLineNumber()`
    `` | `MethodNode` | `getMethodNode()`
    `` | `MethodPointerExpressionWriter` | `getMethodPointerExpressionWriter()`
    `` | `MethodReferenceExpressionWriter` | `getMethodReferenceExpressionWriter()`
    `` | `org.objectweb.asm.MethodVisitor` | `getMethodVisitor()`
    `` | `OperandStack` | `getOperandStack()`
    `` | `ClassNode` | `getOutermostClass()`
    `` | `ClassNode` | `getReturnType()`
    `` | `SourceUnit` | `getSourceUnit()`
    `` | `StatementWriter` | `getStatementWriter()`
    `` | `TypeChooser` | `getTypeChooser()`
    `` | `UnaryExpressionHelper` | `getUnaryExpressionHelper()`
    `` | `void` | `init(AsmClassGenerator asmClassGenerator, GeneratorContext gcon, org.objectweb.asm.ClassVisitor cv, ClassNode cn)`
    `` | `boolean` | `isConstructor()`
    `` | `boolean` | `isFastPath()`
    `` | `boolean` | `isInGeneratedFunction()`
    `` | `boolean` | `isInGeneratedFunctionConstructor()`
    `` | `boolean` | `isInScriptBody()`
    `` | `boolean` | `isNotClinit()`
    `` | `boolean` | `isStaticConstructor()`
    `` | `boolean` | `isStaticContext()`
    `` | `boolean` | `isStaticMethod()`
    `` | `void` | `resetLineNumber()`
    `` | `void` | `setConstructorNode(ConstructorNode cn)`
    `` | `void` | `setInterfaceClassLoadingClass(InterfaceHelperClassNode ihc)`
    `` | `void` | `setLineNumber(int n)`
    `` | `void` | `setMethodNode(MethodNode mn)`
    `` | `void` | `setMethodVisitor(org.objectweb.asm.MethodVisitor methodVisitor)`
    `` | `boolean` | `shouldOptimizeForInt()`
    `` | `void` | `switchToFastPath()`
    `` | `void` | `switchToSlowPath()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class WriterController` | `getAcg, getAssertionWriter, getBinaryExpressionHelper, getBytecodeVersion, getCallSiteWriter, getClassName, getClassNode, getClassVisitor, getClosureWriter, getCompileStack, getConstructorNode, getContext, getCv, getInterfaceClassLoadingClass, getInternalBaseClassName, getInternalClassName, getInvocationWriter, getLambdaWriter, getLineNumber, getMethodNode, getMethodPointerExpressionWriter, getMethodReferenceExpressionWriter, getMethodVisitor, getNextHelperMethodIndex, getOperandStack, getOutermostClass, getReturnType, getSourceUnit, getStatementWriter, getSuperMethodNames, getTypeChooser, getUnaryExpressionHelper, init, isConstructor, isFastPath, isInGeneratedFunction, isInGeneratedFunctionConstructor, isInScriptBody, isNotClinit, isStaticConstructor, isStaticContext, isStaticMethod, resetLineNumber, setConstructorNode, setInterfaceClassLoadingClass, setLineNumber, setMethodNode, setMethodVisitor, shouldOptimizeForInt, switchToFastPath, switchToSlowPath`

- - ### Constructor Detail

    - #### public DelegatingController(WriterController normalController)

  - ### Method Detail

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public AsmClassGenerator getAcg()

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public AssertionWriter getAssertionWriter()

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public BinaryExpressionHelper getBinaryExpressionHelper()

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public int getBytecodeVersion()

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public CallSiteWriter getCallSiteWriter()

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public String getClassName()

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public ClassNode getClassNode()

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public org.objectweb.asm.ClassVisitor getClassVisitor()

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public ClosureWriter getClosureWriter()

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public CompileStack getCompileStack()

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public ConstructorNode getConstructorNode()

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public GeneratorContext getContext()

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride @com.github.javaparser.ast.expr.MarkerAnnotationExprDeprecated public org.objectweb.asm.ClassVisitor getCv()

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public InterfaceHelperClassNode getInterfaceClassLoadingClass()

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public String getInternalBaseClassName()

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public String getInternalClassName()

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public InvocationWriter getInvocationWriter()

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public LambdaWriter getLambdaWriter()

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public int getLineNumber()

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public MethodNode getMethodNode()

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public MethodPointerExpressionWriter getMethodPointerExpressionWriter()

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public MethodReferenceExpressionWriter getMethodReferenceExpressionWriter()

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public org.objectweb.asm.MethodVisitor getMethodVisitor()

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public OperandStack getOperandStack()

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public ClassNode getOutermostClass()

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public ClassNode getReturnType()

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public SourceUnit getSourceUnit()

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public StatementWriter getStatementWriter()

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public TypeChooser getTypeChooser()

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public UnaryExpressionHelper getUnaryExpressionHelper()

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public void init(AsmClassGenerator asmClassGenerator, GeneratorContext gcon, org.objectweb.asm.ClassVisitor cv, ClassNode cn)

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public boolean isConstructor()

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public boolean isFastPath()

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public boolean isInGeneratedFunction()

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public boolean isInGeneratedFunctionConstructor()

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public boolean isInScriptBody()

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public boolean isNotClinit()

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public boolean isStaticConstructor()

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public boolean isStaticContext()

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public boolean isStaticMethod()

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public void resetLineNumber()

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public void setConstructorNode(ConstructorNode cn)

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public void setInterfaceClassLoadingClass(InterfaceHelperClassNode ihc)

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public void setLineNumber(int n)

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public void setMethodNode(MethodNode mn)

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public void setMethodVisitor(org.objectweb.asm.MethodVisitor methodVisitor)

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public boolean shouldOptimizeForInt()

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public void switchToFastPath()

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public void switchToSlowPath()